GET /api/v3/glsubcode/{subCodeIndex}

Retrieves a specific GL Subcode definition by index

GetGLSubCodeV3 Permissions: Accounts (View)
Use this endpoint to get the definition of a single GL subcode segment (1-20). Returns the subcode name, type, and pick-list values if applicable.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
subCodeIndex The 1-based index (1-20) of the GL subcode to retrieve integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

GLSubcodeResponse
Property Description Type
subCodeIndex Index of this subcode (01-20) string
subCodeName Name for this SubCode string
subCodeType SubCodeType - will be “list”(if fixed=1 in DB) or “text” (if fixed=0) in DB string
subCodeValues An array of pick list values when this subcode is a “list” string[]
Example Response application/json
{  "subCodeIndex": "string",  "subCodeName": "string",  "subCodeType": "string",  "subCodeValues": [
    "string"
  ]
}
404 Not Found The requested resource was not found. Verify the ID or path is correct.